Bug 1305597 - (CVE-2015-8807) CVE-2015-8807 php-horde-Horde: Cross-site scripting in _renderVarInput_number
CVE-2015-8807 php-horde-Horde: Cross-site scripting in _renderVarInput_number
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151214,repor...
: Security
Depends On: 1305598 1305599
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 11:35 EST by Adam Mariš
Modified: 2017-05-30 08:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-30 08:03:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-02-08 11:35:06 EST
An XSS vulnerability was found in _renderVarInput_number in Horde/Core/Ui/VarRenderer/Html.php, where input in numeric field wasn't properly escaped.

Upstream patch:

https://github.com/horde/horde/commit/11d74fa5a22fe626c5e5a010b703cd46a136f253

CVE assignment:

http://seclists.org/oss-sec/2016/q1/292
Comment 1 Adam Mariš 2016-02-08 11:35:32 EST
Created php-horde-horde tracking bugs for this issue:

Affects: fedora-all [bug 1305598]
Affects: epel-all [bug 1305599]
Comment 2 Fedora Update System 2016-02-20 21:23:50 EST
php-horde-horde-5.2.9-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2016-02-21 11:28:32 EST
php-horde-horde-5.2.9-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2016-02-25 01:30:01 EST
php-horde-horde-5.2.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2016-02-26 01:57:11 EST
php-horde-horde-5.2.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.